Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jms.extensions
Class SequenceGapException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.jms.JMSException
                        |
                        +--weblogic.jms.common.JMSException
                              |
                              +--weblogic.jms.extensions.SequenceGapException

public class SequenceGapException
extends weblogic.jms.common.JMSException

This exception is thrown when a multicast consumer detects a sequence gap in the data stream.

A sequence gap occurs when messages are received out of order, resulting in one or more messages being skipped. If a skipped message is subsequently delivered, it will be discarded.

Author:
  Copyright (c) 2000 by BEA Systems, Inc., All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SequenceGapException(java.lang.String reason, javax.jms.Destination destination, int missingCount)` Construct a SequenceGapException with reason.
`SequenceGapException(java.lang.String reason, java.lang.String errorCode, javax.jms.Destination destination, int missingCount)` Construct a SequenceGapException for exception.

Method Summary
`javax.jms.Destination` | `getJMSDestination()` Return the destination from which messages were lost
`int` | `getMissingCount()` Return the number of the missing message

Methods inherited from class weblogic.jms.common.JMSException
`getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, setLinkedThrowable`

Methods inherited from class javax.jms.JMSException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceGapException

    public SequenceGapException(java.lang.String reason,
                                java.lang.String errorCode,
                                javax.jms.Destination destination,
                                int missingCount)

  Construct a SequenceGapException for exception.

  Parameters:
    `reason` - a description of the exception.
    `errorCode` - a string specifying the vendor specific error code.
    `destination` - a reference to the destination from which messages were lost
    `missingCount` - a integer specifying the size of the gap (expressed as a number of missing messages)

### SequenceGapException

    public SequenceGapException(java.lang.String reason,
                                javax.jms.Destination destination,
                                int missingCount)

  Construct a SequenceGapException with reason. Error code defaults to null.

  Parameters:
    `reason` - a description of the exception.
    `destination` - a reference to the destination from which messages were lost
    `missingCount` - a integer specifying the size of the gap (expressed as a number of missing messages)

Method Detail

### getJMSDestination

    public javax.jms.Destination getJMSDestination()

  Return the destination from which messages were lost

  Returns:
    Destination the destination from which messages were lost

### getMissingCount

    public int getMissingCount()

  Return the number of the missing message

  Returns:
    Int the number of the missing message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD